<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['str-title3'];
  $helppage = "";

  require_once "../config.php";
  require_once "../util/top.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['str_id'])) puterror2($TEXT['error-str5']);
  if(strlen($_POST['str_id'])>11) puterror2($TEXT['error-str6']);
  if(empty($_POST['street'])) puterror2($TEXT['error-str1']);
  if(strlen($_POST['street'])>200) puterror2($TEXT['error-str2']);

  if(isset($_POST['street'])) $street=trim($_POST['street']);
    else $street="";
     if (empty($street)) puterror2($TEXT['error-str3']);

  $_POST['street'] = rep($_POST['street']);
  $_POST['str_id'] = rep($_POST['str_id']);

  $query_chk = "SELECT `street` FROM `tbl_street` WHERE `street`='".$_POST['street']."' ";
     $result_chk = mysql_query($query_chk);
     if (!$result_chk) puterror2($TEXT['error-tbl3']);
       if (mysql_num_rows($result_chk)>0) puterror2($TEXT['global-est']);

  //*************************************
  $query1 = "SELECT * FROM `tbl_street` WHERE `str_id`='".$_POST['str_id']."'";
  $result = mysql_query($query1);
  if (!$result) puterror2($TEXT['error-tbl3']);
    $result2 = mysql_fetch_array($result);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-str3'];
  $what = $result2['street'].$TEXT['log-na'].$_POST['street'].$TEXT['log-id'].$_POST['str_id'];
  $who = $result2['fullname'];
  //*************************************
  $query = "UPDATE `tbl_street` SET `street` = '".$_POST['street']."' WHERE `str_id`='".$_POST['str_id']."' LIMIT 1";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-str8']);
  require_once "../util/bottom.php";
?>
